<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%UPGRADE_TYPE}}".
 *
 * @property string $ID
 * @property string $USER_ID 会员ID
 * @property int $TYPE 报单类型
 * @property string $INSERT_USER_ID 首购会员ID
 * @property string $DEC_AMOUNT 报单金额
 * @property string $DEC_PV 报单PV
 * @property int $PERIOD_NUM 报单期数
 * @property int $STATUS 状态
 * @property int $CREATED_AT 创建时间
 */
class UpgradeType extends \common\components\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%UPGRADE_TYPE}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['OBSERVE_NAME', 'SORTS', 'IS_STATUS', 'NATION_ID','OBSERVE_TYPE','CREATE_AT'], 'required'],
            [['OBSERVE_TYPE', 'NATION_ID', 'IS_STATUS', 'CREATED_AT'], 'integer'],
            [['ID'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'OBSERVE_NAME' => '升级方式名称',
            'SORTS' => '排序',
            'IS_STATUS' => '状态0为默认启用  1为禁用 ',
            'NATION_ID' => '国家id',
            'OBSERVE_TYPE' => '升级类型 1为补差额升级类型  2为全额升级类型',
            'CREATE_AT' => '创建时间'
        ];
    }

    // 根据类型获取升级方式
    public static function getOneByType($type) {
        $result = UpgradeType::findOneAsArray('OBSERVE_TYPE=:OBSERVE_TYPE  AND IS_STATUS=0', [':OBSERVE_TYPE'=>$type]);
        
        return $result;
    }
}
